## org.hibernate.ejb.criteria.predicate
Class ImplicitNumericExpressionTypeDeterminer

    java.lang.Object
      org.hibernate.ejb.criteria.predicate.ImplicitNumericExpressionTypeDeterminer

    public class ImplicitNumericExpressionTypeDeterminer

extends Object

Constructor Summary
`ImplicitNumericExpressionTypeDeterminer()`

Method Summary
`static Class<? extends Number>` `determineResultType(Class<? extends Number>... types)` Determine the appropriate runtime result type for a numeric expression according to section "6.5.7.1 Result Types of Expressions" of the JPA spec.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ImplicitNumericExpressionTypeDeterminer

    public ImplicitNumericExpressionTypeDeterminer()

Method Detail

### determineResultType

    public static Class<? extends Number> determineResultType(Class<? extends Number>... types)

  Determine the appropriate runtime result type for a numeric expression according to section "6.5.7.1 Result Types of Expressions" of the JPA spec.

  Note that it is expected that the caveats about quotient handling have already been handled.

  Parameters:
    `types` - The argument/expression types
  Returns:
    The appropriate numeric result type.

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.